summaryrefslogtreecommitdiff
path: root/tests/du/inaccessible-cwd
diff options
context:
space:
mode:
Diffstat (limited to 'tests/du/inaccessible-cwd')
-rwxr-xr-xtests/du/inaccessible-cwd6
1 files changed, 3 insertions, 3 deletions
diff --git a/tests/du/inaccessible-cwd b/tests/du/inaccessible-cwd
index e50534cc7..ea4ba7a27 100755
--- a/tests/du/inaccessible-cwd
+++ b/tests/du/inaccessible-cwd
@@ -2,7 +2,7 @@
# Ensure that even when run from an inaccessible directory, du can still
# operate on accessible directories elsewhere.
-# Copyright (C) 2003 Free Software Foundation, Inc.
+# Copyright (C) 2003, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -31,7 +31,7 @@ PRIV_CHECK_ARG=require-non-root . $srcdir/../priv-check
pwd=`pwd`
t0=`echo "$0"|sed 's,.*/,,'`.tmp; tmp=$t0/$$
-trap 'status=$?; cd $pwd; chmod -R u+rwx $t0; rm -rf $t0 && exit $status' 0
+trap 'status=$?; cd "$pwd" && chmod -R u+rwx $t0 && rm -rf $t0 && exit $status' 0
trap '(exit $?); exit $?' 1 2 13 15
framework_failure=0
@@ -48,6 +48,6 @@ fi
fail=0
-du $pwd/$tmp/a > /dev/null || fail=1
+du "$pwd"/$tmp/a > /dev/null || fail=1
(exit $fail); exit $fail